/**
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2012 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.designer.bpmn.model.operations;

import java.io.Serializable;
import org.ow2.orchestra.designer.bpmn.model.data.type.DataTypeModel;

public class CorrelationModel implements Serializable {

  private static final long serialVersionUID = 7289360630080572981L;
  private String id;
  private String name;
  private DataTypeModel type;

  public String getId() {
    return this.id;
  }

  public void setId(final String id) {
    this.id = id;
  }

  public String getName() {
    return this.name;
  }

  public void setName(final String name) {
    this.name = name;
  }

  public DataTypeModel getType() {
    return type;
  }

  public void setType(final DataTypeModel type) {
    this.type = type;
  }
}
